---
title: "WC2A Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/WC2A"
canonical_url: "https://regulex.uk/directory/postcode/WC2A"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area WC2A. Monitoring 154 accountancy practices and 868,513 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/WC2A](https://regulex.uk/directory/postcode/WC2A)
>
> *Statutory compliance registry for postal area WC2A. Monitoring 154 accountancy practices and 868,513 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in WC2A

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [30 BARRELS LTD](https://regulex.uk/practice/dashboard?crn=13260601) CRN: 13260601 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13260601) |
| 2 | [A2Z SERVICES LONDON LTD](https://regulex.uk/practice/dashboard?crn=14024128) CRN: 14024128 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14024128) |
| 3 | [ABFA LTD](https://regulex.uk/practice/dashboard?crn=08991821) CRN: 08991821 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08991821) |
| 4 | [ACCNET SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=08872504) CRN: 08872504 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08872504) |
| 5 | [ACCOUNTING ASSIST LTD](https://regulex.uk/practice/dashboard?crn=11789272) CRN: 11789272 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11789272) |
| 6 | [ACCOUNTPRENEUR LTD](https://regulex.uk/practice/dashboard?crn=11044188) CRN: 11044188 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11044188) |
| 7 | [ACCOUNTS WIZARD LIMITED](https://regulex.uk/practice/dashboard?crn=07637916) CRN: 07637916 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07637916) |
| 8 | [ACCUMATE FINANCIAL SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15932003) CRN: 15932003 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15932003) |
| 9 | [ACCUSOFT ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=14060694) CRN: 14060694 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14060694) |
| 10 | [ACME ADVISORY LTD](https://regulex.uk/practice/dashboard?crn=08227886) CRN: 08227886 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08227886) |
| 11 | [ALBATROSS ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=11145209) CRN: 11145209 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11145209) |
| 12 | [ALLUSIVE LTD](https://regulex.uk/practice/dashboard?crn=04189058) CRN: 04189058 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04189058) |
| 13 | [ANNE HMC TAX LIMITED](https://regulex.uk/practice/dashboard?crn=14676434) CRN: 14676434 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14676434) |
| 14 | [ARBED ACCOUNTANCY SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=10636788) CRN: 10636788 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10636788) |
| 15 | [AUSTEN FINANCIAL SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=11202011) CRN: 11202011 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11202011) |
| 16 | [AVISIO ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=14574134) CRN: 14574134 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14574134) |
| 17 | [AWARI CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=13059619) CRN: 13059619 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13059619) |
| 18 | [AXIL ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=15197485) CRN: 15197485 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15197485) |
| 19 | [B MCGARR & CO LTD](https://regulex.uk/practice/dashboard?crn=12199503) CRN: 12199503 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12199503) |
| 20 | [BARNSHAW CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=15965455) CRN: 15965455 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15965455) |
| 21 | [BEAVER & BEE LIMITED](https://regulex.uk/practice/dashboard?crn=13711464) CRN: 13711464 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13711464) |
| 22 | [BELMONTVALE LIMITED](https://regulex.uk/practice/dashboard?crn=10218924) CRN: 10218924 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10218924) |
| 23 | [BENIRATIO LIMITED](https://regulex.uk/practice/dashboard?crn=11302877) CRN: 11302877 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11302877) |
| 24 | [BLUESTONE ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=13302473) CRN: 13302473 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13302473) |
| 25 | [CANALITIX ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=10795949) CRN: 10795949 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10795949) |
| 26 | [CAULIE LTD](https://regulex.uk/practice/dashboard?crn=07979489) CRN: 07979489 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07979489) |
| 27 | [CONTANDO LIMITED](https://regulex.uk/practice/dashboard?crn=11958132) CRN: 11958132 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11958132) |
| 28 | [CORVUS CORPORATE MANAGEMENT LTD](https://regulex.uk/practice/dashboard?crn=12276931) CRN: 12276931 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12276931) |
| 29 | [CREATORCOUNTS LIMITED](https://regulex.uk/practice/dashboard?crn=16190150) CRN: 16190150 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16190150) |
| 30 | [CRYSTAL PRO SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=16488434) CRN: 16488434 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16488434) |
| 31 | [DC ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=12516616) CRN: 12516616 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12516616) |
| 32 | [DIES NOVUS LIMITED](https://regulex.uk/practice/dashboard?crn=15158474) CRN: 15158474 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15158474) |
| 33 | [DIGITAX SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=10737326) CRN: 10737326 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10737326) |
| 34 | [DM PARTNERSHIP (UK) LIMITED](https://regulex.uk/practice/dashboard?crn=12585761) CRN: 12585761 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12585761) |
| 35 | [DRAYSON LTD](https://regulex.uk/practice/dashboard?crn=12518660) CRN: 12518660 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12518660) |
| 36 | [DUNALLEY ENTERPRISES LIMITED](https://regulex.uk/practice/dashboard?crn=10971813) CRN: 10971813 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10971813) |
| 37 | [DUO ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=12901938) CRN: 12901938 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12901938) |
| 38 | [E AND J ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=15422293) CRN: 15422293 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15422293) |
| 39 | [ECHOBRIDGE LIMITED](https://regulex.uk/practice/dashboard?crn=10873998) CRN: 10873998 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10873998) |
| 40 | [ELSA VIOLET LTD](https://regulex.uk/practice/dashboard?crn=08960284) CRN: 08960284 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08960284) |
| 41 | [EPWORTH ACCOUNTANCY & BUSINESS SERVICES LTD](https://regulex.uk/practice/dashboard?crn=13770859) CRN: 13770859 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13770859) |
| 42 | [ERAA CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=08573314) CRN: 08573314 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08573314) |
| 43 | [EZER NETWORK LTD](https://regulex.uk/practice/dashboard?crn=13759443) CRN: 13759443 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13759443) |
| 44 | [FALCON CLOUD ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=10847441) CRN: 10847441 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10847441) |
| 45 | [FANLI ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=15142529) CRN: 15142529 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15142529) |
| 46 | [FINOPS FUSION LTD](https://regulex.uk/practice/dashboard?crn=14320083) CRN: 14320083 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14320083) |
| 47 | [FINOVIUM LIMITED](https://regulex.uk/practice/dashboard?crn=09852857) CRN: 09852857 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09852857) |
| 48 | [FISCAL FUTURES LIMITED](https://regulex.uk/practice/dashboard?crn=08453563) CRN: 08453563 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08453563) |
| 49 | [FISCAL KNIGHTS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=13991494) CRN: 13991494 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13991494) |
| 50 | [FOUNDRY ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=15345754) CRN: 15345754 • WC2A 2JR | 6344 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15345754) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/WC2A](https://regulex.uk/directory/postcode/WC2A).
